Bug 46074 - FILEOPEN: No Recent Documents...
Summary: FILEOPEN: No Recent Documents...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Stephan Bergmann
QA Contact:
URL:
Whiteboard: BSA target:3.6.0 target:3.5.1
Keywords:
: 32886 46103 46146 46172 46176 46373 46608 46616 46731 46812 46828 46927 46931 46963 46982 47110 47130 47133 47137 47348 47486 47506 47672 47702 47758 47968 48255 48528 49929 49948 52977 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-14 17:52 UTC by sblass
Modified: 2012-08-24 08:09 UTC (History)
31 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sblass 2012-02-14 17:52:40 UTC
Problem description: 
Will not provide a 'recent documents list'
Steps to reproduce:
1. LO 3.4.5 recent docs list not retained
2. Created and saved new test doc
3. Recent docs list still nonexistant

Current behavior:
Applies across all of LO 3.5.0
Expected behavior:

Platform (if different from the browser): 
Kubuntu 11.10, Linux 3.2.0-12, KDE 4.8.0              
Browser: Mozilla/5.0 (X11; Linux i686) AppleWebKit/535.20 (KHTML, like Gecko) Chrome/19.0.1036.7 Safari/535.20
Comment 1 Markus Mohrhard 2012-02-14 18:21:04 UTC
Can you check if this happens if you create a new user profile?
Comment 2 Rainer Bielefeld Retired 2012-02-14 21:48:28 UTC
I believe "Applies across all of LO 3.5.0" means that not only CALC is affected
Comment 3 M 2012-02-15 03:33:26 UTC
Same here. Ubuntu 10.04 / 64 bit. Updated my 3.4.5 install to 3.5.0 and there is no recent documents list saved now.
Comment 4 sblass 2012-02-15 08:43:06 UTC
Markus:

Renamed the ~/.config/libreoffice/3/user folder, forcing LO to create a new user folder on startup. Recent Files now works okay. Thanks for the suggestion.
Comment 5 Christian Lohmaier 2012-02-21 05:39:03 UTC
*** Bug 46103 has been marked as a duplicate of this bug. ***
Comment 6 Christian Lohmaier 2012-02-21 05:40:29 UTC
*** Bug 46172 has been marked as a duplicate of this bug. ***
Comment 7 Christian Lohmaier 2012-02-21 05:42:10 UTC
Bug 46172 identified the exact configuration item that causes the behaviour.(entries in registrymodifications.xcu)
Comment 8 Christian Lohmaier 2012-02-21 05:42:41 UTC
*** Bug 46176 has been marked as a duplicate of this bug. ***
Comment 9 Christian Lohmaier 2012-02-21 05:43:17 UTC
*** Bug 46373 has been marked as a duplicate of this bug. ***
Comment 10 Michael Meeks 2012-02-23 09:47:18 UTC
The best comment on this seems to be Leon's:

https://bugs.freedesktop.org/show_bug.cgi?id=46172#c1

It seems the schema changed for Recent Documents, more code reading required, but it is entirely possible that this has wider ramifications for lost settings and profile problems - Stephan might have some insight into that.
Comment 11 Stephan Bergmann 2012-02-24 02:00:30 UTC
Yes, looks like migration of configuration set elements loses property's values.  Investigating.
Comment 12 Not Assigned 2012-02-24 08:45:44 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3f79cc9e6c265baf48955d53f7e888205e0b3e0

Resolves fdo#46074: Fix Partial::contains for paths that go past a leaf node
Comment 13 Stephan Bergmann 2012-02-24 09:01:39 UTC
The patch mentioned in comment 12 should fix this on master towards LO 3.6.  (Backporting to LO 3.5.1 is planned)

If you worked around this problem on Linux by removing your ~/.config/libreoffice/3/user directory, and you still have the pre LO 3.5 ~/.libreoffice/3/user directory around, you can apparently force LO 3.5/3.6 to do a fresh migration of the old data by removing ~/.libreoffice/3/MIGRATED and the new ~/.config/libreoffice/3/user directory.  (But you should of course only do that in a LO 3.5/3.6 build where this issue is fixed.)

However, please note that the Recent Documents list is not migrated (i.e., it will always be empty in a fresh LO 3.5/3.6, regardless of any pre LO 3.5 data).  This is because officecfg/registry/data/org/openoffice/Setup.xcu does not contain any MigrationStep for /org.openoffice.Office.Histories.  (That migration of user data from LO 3.x to LO 3.5 became necessary at all is a nasty consequence of bug 32263.)
Comment 14 manj_k 2012-02-26 14:17:49 UTC
*** Bug 46616 has been marked as a duplicate of this bug. ***
Comment 15 manj_k 2012-02-26 14:37:38 UTC
*** Bug 46608 has been marked as a duplicate of this bug. ***
Comment 16 Not Assigned 2012-02-28 04:13:25 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af8895270658bec676303da2154b903a78c6fbe6&g=libreoffice-3-5

Resolves fdo#46074: Fix Partial::contains for paths that go past a leaf node


It will be available in LibreOffice 3.5.2.
Comment 17 Not Assigned 2012-02-28 07:09:06 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8eb49978a2454c154e94588c9e0e53bcb110253d&g=libreoffice-3-5-1

Resolves fdo#46074: Fix Partial::contains for paths that go past a leaf node


It will be available already in LibreOffice 3.5.1.
Comment 18 vitriol 2012-03-01 02:49:04 UTC
*** Bug 46812 has been marked as a duplicate of this bug. ***
Comment 19 vitriol 2012-03-01 07:49:09 UTC
*** Bug 46828 has been marked as a duplicate of this bug. ***
Comment 20 vitriol 2012-03-03 04:28:35 UTC
*** Bug 46927 has been marked as a duplicate of this bug. ***
Comment 21 vitriol 2012-03-03 06:36:45 UTC
*** Bug 46931 has been marked as a duplicate of this bug. ***
Comment 22 vitriol 2012-03-04 11:36:48 UTC
*** Bug 46963 has been marked as a duplicate of this bug. ***
Comment 23 Rainer Bielefeld Retired 2012-03-05 22:30:03 UTC
In the DUPs I additionally see WIN as OS
Comment 24 Rainer Bielefeld Retired 2012-03-05 22:31:29 UTC
*** Bug 46982 has been marked as a duplicate of this bug. ***
Comment 25 vitriol 2012-03-08 11:45:46 UTC
*** Bug 47110 has been marked as a duplicate of this bug. ***
Comment 26 vitriol 2012-03-09 01:26:20 UTC
*** Bug 47130 has been marked as a duplicate of this bug. ***
Comment 27 vitriol 2012-03-09 01:42:27 UTC
*** Bug 47133 has been marked as a duplicate of this bug. ***
Comment 28 vitriol 2012-03-09 02:06:10 UTC
*** Bug 47137 has been marked as a duplicate of this bug. ***
Comment 29 bfoman (inactive) 2012-03-09 02:39:50 UTC
Confirmed on Windows 7.
Comment 30 Rainer Bielefeld Retired 2012-03-10 00:51:40 UTC
*** Bug 46731 has been marked as a duplicate of this bug. ***
Comment 31 Stephan Bergmann 2012-03-12 01:53:36 UTC
*** Bug 32886 has been marked as a duplicate of this bug. ***
Comment 32 Stephan Bergmann 2012-03-15 05:18:07 UTC
To clarify:  As this bug was present in LO 3.5.0, if you migrated from < 3.5.0 to LO 3.5.0 and now to LO 3.5.1, the issue will still appear to be present (as it happens when the user data is migrated, and that happened for you when migrating from < 3.5.0 to LO 3.5.0).

You can resolve it manually by removing the LO 3.5 user data (Linux: ~/.config/libreoffice/3/user).  Upon next LO start, fresh user data should be created and newly saved documents should start to appear in the recent documents list.

Optionally, you can also remove the marker file indicating that the < 3.5.0 user data had already been migrated (Linux: ~/.libreoffice/3/MIGRATED etc., depending on what your < 3.5.0 actually was).  Then, your old user data should be migrated upon the first LO start after removing the LO 3.5 user data.  (But note that the recent documents list is never migrated, see comment 13.)
Comment 33 Stephan Bergmann 2012-03-15 05:19:47 UTC
*** Bug 47348 has been marked as a duplicate of this bug. ***
Comment 34 Hojjatollah 2012-03-15 14:04:32 UTC
Salam

Thanks
Solved as you said.


2012/3/15 <bugzilla-daemon@freedesktop.org>

> https://bugs.freedesktop.org/show_bug.cgi?id=46074
>
> Stephan Bergmann <sbergman@redhat.com> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                 CC|                            |dwlegg@gmail.com
>
> --- Comment #33 from Stephan Bergmann <sbergman@redhat.com> 2012-03-15
> 05:19:47 PDT ---
> *** Bug 47348 has been marked as a duplicate of this bug. ***
>
> --
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 35 Rainer Bielefeld Retired 2012-03-18 23:36:20 UTC
*** Bug 47486 has been marked as a duplicate of this bug. ***
Comment 36 Stephan Bergmann 2012-03-19 06:52:28 UTC
*** Bug 47506 has been marked as a duplicate of this bug. ***
Comment 37 Rainer Bielefeld Retired 2012-03-21 04:29:37 UTC
*** Bug 47635 has been marked as a duplicate of this bug. ***
Comment 38 Stephan Bergmann 2012-03-21 13:06:41 UTC
*** Bug 47672 has been marked as a duplicate of this bug. ***
Comment 39 Victor V. Terber 2012-03-21 13:53:13 UTC
*** Bug 46146 has been marked as a duplicate of this bug. ***
Comment 40 Stephan Bergmann 2012-03-28 00:34:03 UTC
*** Bug 47968 has been marked as a duplicate of this bug. ***
Comment 41 info.kalsan 2012-04-01 01:52:13 UTC
removing ~/.config/libreoffice/3/user did not solve the problem for me... nothing changed (except that I had to reconfigure my dictionnaries)
Comment 42 Stephan Bergmann 2012-04-02 00:19:55 UTC
(In reply to comment #41)
> removing ~/.config/libreoffice/3/user did not solve the problem for me...
> nothing changed (except that I had to reconfigure my dictionnaries)

Just to be sure:  You need to both remove the user directory *and* update to at least LO 3.5.1.
Comment 43 info.kalsan 2012-04-02 09:02:38 UTC
I have LibreOffice 3.5.1.2 (and I had that when I removed the folder).
Do I need to reinstall it?
Comment 44 Stephan Bergmann 2012-04-04 00:07:54 UTC
*** Bug 48255 has been marked as a duplicate of this bug. ***
Comment 45 Rainer Bielefeld Retired 2012-04-12 22:54:26 UTC
We have some reports for that problem for versions 3.5.1 and later for Linux and WIN.

May be we have a second problem what is not fixed by the fix here? If there is no evidence that the fix does not work se should close this Bug again and continue discussion concerning latest problem under "Bug 48528 - FILEOPEN: no documents in Recent Documents list" (or similar)

@info.kalsan@valaiscom.ch
<https://wiki.documentfoundation.org/BugReport_Details#How_to_reopen_Bugs>
Comment 46 Stephan Bergmann 2012-04-13 01:46:20 UTC
The problem mentioned in comment 41 is now covered by bug 48528, so I am closing this bug again.
Comment 47 Ross Howie 2012-04-14 00:10:49 UTC
I am running Windows 7 and 3.5.2.2     The Recent Documents List remains 
resolutely unpopulated.

-----Original Message----- 
From: bugzilla-daemon@freedesktop.org
Sent: Friday, April 13, 2012 6:54 AM
To: ross.howie@dsl.pipex.com
Subject: [Bug 46074] FILEOPEN: No Recent Documents...

https://bugs.freedesktop.org/show_bug.cgi?id=46074

--- Comment #45 from Rainer Bielefeld <LibreOffice@bielefeldundbuss.de> 
2012-04-12 22:54:26 PDT ---
We have some reports for that problem for versions 3.5.1 and later for Linux
and WIN.

May be we have a second problem what is not fixed by the fix here? If there 
is
no evidence that the fix does not work se should close this Bug again and
continue discussion concerning latest problem under "Bug 48528 - FILEOPEN: 
no
documents in Recent Documents list" (or similar)

@info.kalsan@valaiscom.ch
<https://wiki.documentfoundation.org/BugReport_Details#How_to_reopen_Bugs>
Comment 48 Barry Rueger 2012-04-18 17:38:54 UTC
Removing ~/.config/libreoffice/3/user
causes the Recent Documents to begin working again.

Am using:
LibreOffice 3.5.2.2 
Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f

On Mint Linux Release 12 (Lisa)
Comment 49 Owen Savill 2012-04-19 02:40:59 UTC
(In reply to comment #48)
> Removing ~/.config/libreoffice/3/user
> causes the Recent Documents to begin working again.

but is a pain in the arse as you loose all plugins and extensions and presumably all other user data as well.
Comment 50 Stephan Bergmann 2012-04-19 02:46:30 UTC
(In reply to comment #49)
> (In reply to comment #48)
> > Removing ~/.config/libreoffice/3/user
> > causes the Recent Documents to begin working again.
> 
> but is a pain in the arse as you loose all plugins and extensions and
> presumably all other user data as well.

See comment 13 how to resurrect a removed LO >= 3.5.0 ~/.config/libreoffice from an old LO < 3.5 ~/.libreoffice.
Comment 51 Owen Savill 2012-04-19 03:47:05 UTC
(In reply to comment #50)
> (In reply to comment #49)
> > (In reply to comment #48)
> > > Removing ~/.config/libreoffice/3/user
> > > causes the Recent Documents to begin working again.
> > 
> > but is a pain in the arse as you loose all plugins and extensions and
> > presumably all other user data as well.
> 
> See comment 13 how to resurrect a removed LO >= 3.5.0 ~/.config/libreoffice
> from an old LO < 3.5 ~/.libreoffice.

Thanks.

Also letting LibO create a new ~/.config/libreoffice/3/user directory and then coping over the old uno_packages, extensions and config directories brought back the extensions & config and the recent documents list still appears to work.
Comment 52 info.kalsan 2012-04-19 04:08:49 UTC
Thanks, that worked.
Comment 53 Stephan Bergmann 2012-04-19 04:46:48 UTC
*** Bug 48528 has been marked as a duplicate of this bug. ***
Comment 54 Ross Howie 2012-04-19 10:19:01 UTC Comment hidden (no-value)
Comment 55 steve_culver 2012-04-19 10:41:32 UTC Comment hidden (no-value)
Comment 56 Stephan Bergmann 2012-04-19 13:46:45 UTC
(In reply to comment #54)
> This all very well for Linux but what about Windows?  I too have LibreOffice
> 3.5.2.2 , Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f.  But I don't have
> a folder ~/.config/libreoffice/3/user.  The installation in Windows creates ...
> \LibreOffice\3\user\config     So I'm none the wiser on what to do.  

On Windows, you can remove LibreOffice\3\user\registrymodifications.xcu (it will cause some customization to get lost, like things changed in "Tools - Options").

(That Windows is affected at all by this LO 3.5.0 bug is an unfortunate consequence of another bug in that version, which caused LO to "migrate" its existing per-user configuration data onto itself.  And, unfortunately, there is no good way for a later LO version to automatically fix the breakage caused by this bug in LO 3.5.0.)
Comment 57 Matt Lim 2012-04-19 18:44:21 UTC Comment hidden (no-value)
Comment 58 Not Assigned 2012-04-20 00:26:03 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ccb4bda483eb548eb6efb5e2f1952f094522320

fdo#46074 Ignore corrupted items in Recent Documents
Comment 59 Stephan Bergmann 2012-04-20 00:33:21 UTC
The various, legitimate complaints here that LO should self-heal its blocked Recent Documents list made me have another look at the code, and indeed the above master commit (comment 58) should make a broken Recent Documents list work again without any manual intervention (old entries will still be lost, but new entries will start to appear again).

I am intending to get that fix backported into LO 3.5.3.
Comment 60 Not Assigned 2012-04-20 01:05:47 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=488b766836ef41c51670175fc2eeff7c9640e86c&g=libreoffice-3-5

fdo#46074 Ignore corrupted items in Recent Documents


It will be available in LibreOffice 3.5.4.
Comment 61 Not Assigned 2012-04-20 02:44:39 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76abd1abea8b23e843104756f3942c94e5e81d64&g=libreoffice-3-5-3

fdo#46074 Ignore corrupted items in Recent Documents


It will be available already in LibreOffice 3.5.3.
Comment 62 David King 2012-04-21 14:56:11 UTC
I removed the file registrymodifications.xcu and I still have nothing in Recent Documents after opening and closing a few documents.
Comment 63 Stephan Bergmann 2012-04-22 23:52:07 UTC
(In reply to comment #62)
> I removed the file registrymodifications.xcu and I still have nothing in Recent
> Documents after opening and closing a few documents.

David, where exactly was that file located?  (If you are running on Linux, you likely have different directories ~/.libreoffice/3/user vs. ~/.config/libreoffice/3/user containing that file.)  Also, if you can wait for LO 3.5.3, you could check whether my subsequent fix makes your problem go away automatically (that fix was not yet in 3.5.3 rc1, but will be in later revisions).
Comment 64 David King 2012-04-23 03:17:33 UTC
Okay, this is getting confusing. So there are two places where the file is saved. So I removed it from the other location and replaced with a modified version, in which I kept just the first few lines (cutting out all document history from the file, as well as anything referring to Openoffice.org), and now I have the recent documents listed again. 

When the 3.5.3 comes out I shall upgrade to that.

Thanks for your help and work on this.
Comment 65 Roman Eisele 2012-05-07 10:29:14 UTC
*** Bug 47758 has been marked as a duplicate of this bug. ***
Comment 66 Roman Eisele 2012-05-07 10:31:16 UTC
Reset version number to original value (3.5.0). Please note that the version field should containt the FIRST version which is known to contain the problem, NOT the last one!
Comment 67 Not Assigned 2012-05-16 00:38:10 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3633f60b349022994e291aa3d1a0c90c3403b2e

fdo#46074 fdo#49948 Ignore corrupted items in Recent Documents
Comment 68 Stephan Bergmann 2012-05-16 00:52:28 UTC
*** Bug 49948 has been marked as a duplicate of this bug. ***
Comment 69 Not Assigned 2012-05-16 02:07:30 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcac9e82d3233d85a6da11bd716a7dc357d5eed2&g=libreoffice-3-5

fdo#46074 fdo#49948 Ignore corrupted items in Recent Documents


It will be available in LibreOffice 3.5.5.
Comment 70 gader 2012-05-18 05:01:29 UTC
To fix that and not loose settings use HistoryMaster addon.
Set pick list to 0, Apply.
Next set pick list to 10, Apply.
And done, recent list is back.
Comment 71 Stephan Bergmann 2012-05-18 06:24:40 UTC
(In reply to comment #69)
> Stephan Bergmann committed a patch related to this issue.
> It has been pushed to "libreoffice-3-5":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcac9e82d3233d85a6da11bd716a7dc357d5eed2&g=libreoffice-3-5
> 
> fdo#46074 fdo#49948 Ignore corrupted items in Recent Documents
> 
> 
> It will be available in LibreOffice 3.5.5.

...and that's now also in LibreOffice 3.5.4, see <http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5-4&id=12e49e422e5244173d97bcf61f5354fd90d7fab3>
Comment 72 Cor Nouws 2012-05-19 14:08:00 UTC
*** Bug 49929 has been marked as a duplicate of this bug. ***
Comment 73 Haris 2012-06-22 04:08:09 UTC
*** SOLVED ON WINDOWS ***

Just download and install LO 3.5.4 (LibreOffice 3.5.4.2 Build ID: 165a79a-7059095-e13bb37-fef39a4-9503d1)

Platform is Windows 7 64 bit on Lenovo Y460 notebook.

Previously suffering from this bug. I.e. no document listed in recently used.

Did not do anything to remove whatever user file etc as suggested in work around. Just straight away install without uninstalling previous version (which I forget to record, probably very early version of 3.5, remember only upgrade it one time)

After the installation boot up and no recent document in the list. As expected.

Open a document. Close it and the recent document list is updated with that document. Tested with another document and work as expected.

Hope this help other people on Windows. And I would suggest that any workaround in the future is to be suggested with all platform in mind.

Thankfully the act of installing a new version is very similar to all platform ;)

Have a good day!
Comment 74 bfoman (inactive) 2012-08-24 08:09:18 UTC
*** Bug 47702 has been marked as a duplicate of this bug. ***
Comment 75 bfoman (inactive) 2012-08-24 08:09:44 UTC
*** Bug 52977 has been marked as a duplicate of this bug. ***